UPGRADEPKG(8)

NAZWA
upgradepkg - aktualizuj paczkę systemu Slackware

STRESZCZENIE
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] newpackagename [newpackagename2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] oldpackagename%newpackagename [old2%new2]

OPIS
upgradepkg aktualizuje pakiet Slackware z wersji starej do nowej. Robi to przez instalację - INSTALLING nowego pakietu a następnie usunięcie REMOVING jakichkolwiek plików należących do starego pakiety, które nie są częścią nowego. Jeśli stare i nowe pakiety mają tą samą nazwę, potrzebny jest wyłącznie pojedynczy argument. Jeśli pakiety mają inne nazwy, podaj nazwę starego pakietu, symbol %, a następnie nazwę nowego pakietu. Nie dodawaj żadnych spacji pomiędzy parą nazw pakietów. Jeśli upgradepkg znajdzie więcej niż jeden zainstalowany pakiet odpowiadający nazwie starego pakietu, wszystkie one zostaną usunięte.

Aby aktualizować w katalogu innym niż / (np. w /mnt):

ROOT=/mnt upgradepkg paczka.tgz (lub .tbz, .tlz, .txz)

OPCJE

--dry-run
    Wyświetl wykaz plików, które zostałyby zainstalowane lub aktualizowane, ale nie dokonuj żadnych aktualizacji.

--install-new
    Zwykle upgradepkg aktualizuje wyłącznie pakiety zainstalowane już na systemie i pominie te, które nie mają zainstalowanych odpowiednikiów. Jeśli użyto flagi --install-new, oprócz aktualizacji zainstalowanych już wersji, nowe pakiety zostaną zainstalowane.

--reinstall
    Upgradepkg zwykle pomija pakiety jeśli dokładnie taki sam pakiet (odpowiadająca nazwa, wersja, architektura i numer) jest już zainstalowany na systemie. Użyj opcji --reinstall jeśli chcesz aktualizować wszystkie pakiety, nawet te posiadające tę samą wersję.

--verbose
    Wyświetl informacje o aktualizcji z wszelkimi szczegółami.

BUGI
Przed aktualizacją pakietu, zapisz jakiekolwiek pliki konfiguracyjne (np. te w /etc), które chciałbyś zachować. Czasami zostają one zachowane, ale zależy to od struktury pakietu. Jeśli chcesz upewnić się, że nowe wersje plików konfiguracyjnych zostaną zainstalowane, ręcznie usuń stare pliki konfiguracyjne przed wykonaniem polecenia upgradepkg.

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

ZOBACZ RÓWNIEŻ
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)